Subject: eieio-opt: not quite (?) optional functions

From: Ivan Shmakov <[email-masked]>
Date: Sat, 26 Dec 2015 13:00:45 +0000

Package:  emacs
Severity: wishlist

	eieio.el currently (1dcf9a5d2a72; 2015-12-22 17:02:30 UTC)
	reads:

   943	;; Hook ourselves into help system for describing classes and methods.
   944	;; FIXME: This is not actually needed any more since we can click on the
   945	;; hyperlink from the constructor's docstring to see the type definition.
   946	(add-hook 'help-fns-describe-function-functions 'eieio-help-constructor)

	This results that with -Q, 'eieio-opt gets loaded immediately
	once the user tries to use the Emacs help system (say, C-h f),
	making the file’s description (below) somewhat misleading, as
	the library which is hooked into such a basic Emacs facility
	could hardly be called “optional”.

;;; eieio-opt.el -- eieio optional functions (debug, printing, speedbar)

	I don’t think I deal much with EIEIO objects, but I’ve removed
	the function from the hook (below) quite some time ago and seen
	no adverse effects so far.  Hence, I guess the add-hook above
	may be reconsidered (per its own FIXME notice.)

(remove-hook 'help-fns-describe-function-functions
             'eieio-help-constructor)

	As an aside, I’ve spotted this issue because eieio-opt depends
	on 'speedbar, which I’ve become aware of a decade ago, and still
	have found no use for; thus anything dependent on it immediately
	raises my suspicion.

-- 
FSF associate member #7257  http://am-1.org/~ivan/      … 3013 B6A0 230E 334A